package com.bsz.school_send_back_end.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.redis.serializer.GenericJackson2JsonRedisSerializer;
import org.springframework.data.redis.serializer.RedisSerializer;

@Configuration
public class RedisSessionRepositoryConfig {

    @Bean("springSessionRedisSerializer")
    public RedisSerializer<Object> getRedisSerializer()
    {
        return new GenericJackson2JsonRedisSerializer();
    }
}
