package com.bsz.school_send_back_end.service;

import com.bsz.school_send_back_end.model.domain.UserRating;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;

/**
* @author pc
* @description 针对表【user_rating(用户评分)】的数据库操作Service
* @createDate 2024-12-09 16:06:45
*/
public interface UserRatingService extends IService<UserRating> {

    /**
     * 校验
     */
    void validUserRating(UserRating userRating, HttpServletRequest request);

    /**
     * 校验商家是否能够回复用户评分
     */
    void validUserRatingByBusiness(Long userRatingId, HttpServletRequest request);
}
